<?PHP
include("../secure/secure.php");
include ('../conf/configuracao.php');
?>
<br>
<? if (((!isset($tipo)) || (isset($tipo)) && ($tipo != 1)))  { ?>
<script Language="JavaScript">
function Valida(theForm)
{
   if (theForm.usuario.value == "" )
	{
	    alert("Por favor entre com o Login do Administrador!!!");
		theForm.usuario.focus();
	    return (false);
	}
   if (theForm.senha.value == "" )
	{
	    alert("Por favor entre com a Senha do Administrador!!!");
		theForm.senha.focus();
	    return (false);
	}
}
 </script>
<strong><font size="2" color="#010101" face="verdana"><center>Administradores do Sistema</center></font></strong>
<br>
<form action="admin.php" method="post" onsubmit="return Valida(this)">
<table width="60%" border="1" cellspacing="0" cellpadding="0" align="center">
<tr>
	<td colspan="2" align="center"><font face ="verdana" size = "2"><strong>Cadastro de Administradores</strong></font></td>
</tr>
<tr>
	<td width="30%"><font face ="verdana" size = "2"><strong>Login</strong></font></td>
	<td width="70%"><input type="text" name="usuario" size="40" maxlength="20"></td>
</tr>
<tr>
	<td><font face ="verdana" size = "2"><strong>Senha</strong></font></td>
	<td><input type="text" name="senha" size="40" maxlength="20"></td>
</tr>
<tr>
	<td colspan="2">
		<center>
		<input type="submit" name="Submit" value="Cadastrar">
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		<input type="reset" value="Limpar Campos">
		</center>
	</td>
</tr>
</table>
</form>
<?
}
?>
<? if ((isset($tipo)) && ($tipo == 1))  { ?>
<script Language="JavaScript">
function Valida(theForm)
{
   if (theForm.senha.value == "" )
	{
	    alert("Por favor entre com a Nova Senha do Administrador!!!");
		theForm.senha.focus();
	    return (false);
	}
}
 </script>
<?
	mysql_connect( $bd_host, $bd_user, $bd_senha )
		or die ( 'Não foi possível conectar ao Servidor.' );
	mysql_select_db( $bd_database )
		or die ( 'Não foi possível conectar a Base de Dados.' );
	$sql = "SELECT * FROM phpsp_users Where primary_key = $id";
	$result = mysql_query($sql)
		or die ( 'Não foi possível executar a query.' );
	while($information = mysql_fetch_array($result)) {
		$temp = $information["user"];
	}
?>
<strong><font size="2" color="#010101" face="verdana"><center>Administradores do Sistema</center></font></strong>
<br>
<form action="admin.php" method="post" onsubmit="return Valida(this)">
<table width="60%" border="1" cellspacing="0" cellpadding="0" align="center">
<tr>
	<td colspan="2" align="center"><font face ="verdana" size = "2"><strong>Alteração de Senha</strong></font></td>
</tr>
<tr>
	<td width="30%"><font face ="verdana" size = "2"><strong>Login</strong></font></td>
	<td width="70%"><input type="text" name="usuario" size="40" maxlength="20" readonly value="<?echo $temp; ?>"></td>
</tr>
<tr>
	<td><font face ="verdana" size = "2"><strong>Senha</strong></font></td>
	<td><input type="text" name="senha" size="40" maxlength="20"></td>
</tr>
<tr>
	<td colspan="2">
		<center>
		<input type="submit" name="Submit_alter" value="Alterar Senha">
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		<input type="reset" value="Limpar Campos">
		<input type="hidden" name="id" value="<? echo $id; ?>">
		</center>
	</td>
</tr>
</table>
</form>
<?
}
?>
<br>
<?
####
# Efetuando cadastro do Administrador
####
	if (isset($Submit)) {
	mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		$sql = "SELECT * FROM phpsp_users Where user = '$usuario'";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<strong><div align="center"><font face="Verdana" size="2" color="#FF0000">Cadastro Efetuado com Sucesso</font></div></strong>';
		      $senha1 = addslashes(Criptografar($senha,$Chave));
			$nivel_acesso = addslashes(Criptografar("0",$Chave));
			mysql_query("insert into phpsp_users(user, password, userlevel) values('$usuario', '$senha1', '$nivel_acesso' )")
				or die (mysql_error());

		}
		else {
			echo '<strong><div align="center"><font face="Verdana" size="2" color="#FF0000">Já existe um administrador com esse Login</font></div></strong>';
		}
	}

#########
# Executando Alteração de Senha do Administrador
########
if (isset($Submit_alter)) {
	mysql_connect( $bd_host, $bd_user, $bd_senha )
		or die ( 'Não foi possível conectar ao Servidor.' );
	mysql_select_db( $bd_database )
		or die ( 'Não foi possível conectar a Base de Dados.' );
    $senha1 = addslashes(Criptografar($senha,$Chave));
    mysql_query("update phpsp_users set password = '$senha1' where primary_key = $id")
		or die ( 'Não foi executada a alteracao de senha.' );
	echo '<strong><div align="center"><font face="Verdana" size="2" color="#FF0000">Senha do Administrador alterada com sucesso.</font></div></strong>';
}

#########
# Executando Remocao do Administrador
########
if ((isset($tipo)) && ($tipo == 2)) {
	mysql_connect( $bd_host, $bd_user, $bd_senha )
		or die ( 'Não foi possível conectar ao Servidor.' );
	mysql_select_db( $bd_database )
		or die ( 'Não foi possível conectar a Base de Dados.' );
	$remocao = "Delete from phpsp_users where primary_key=$id";
	$executa_remocao = mysql_query($remocao)
		or die ( 'Não foi executada a remoção.' );
	echo '<strong><div align="center"><font face="Verdana" size="2" color="#FF0000">Administrador excluído com sucesso.</font></div></strong>';
}
?>
<br>
<br>
<?
	mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		$sql = "SELECT * FROM phpsp_users ORDER by user ASC";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo 'Nao existe nenhum adminstrador cadastrado no sistema!!!';
		}
		else {
			echo '<strong><div align="center"><font face="Verdana" size="2">Exibindo administradores</font></div></strong>';
			echo '<br><table width="60%" border="1" cellspacing="0" cellpadding="0" align="center">';
			while($information = mysql_fetch_array($result)) {
				echo '<tr>';
					echo '<td width="60%">';
						echo '<font face ="verdana" size = "2">' . $information["user"] . '</font>';
					echo '</td>';
					echo '<td width="20%" align="center">';
						echo '<a href="admin.php?id='. $information["primary_key"] . '&tipo=1"><font face ="verdana" size = "2">Trocar Senha</font></a>';
					echo '</td>';
					echo '<td width="20%" align="center">';
						echo '<a href="admin.php?id='. $information["primary_key"] . '&tipo=2"><font face ="verdana" size = "2">Remover</font></a>';
					echo '</td>';
			}
		}

?>
